﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SciChart.Charting.Numerics.DeltaCalculators;
using SciChart.Charting.Services;
using SciChart.Charting.Visuals.Axes;
using SciChart.Data.Model;

namespace ulongAxisValues
{
    public class ULongAxis : AxisBase
    {
        public override IRange CalculateYRange(RenderPassInfo renderPassInfo)
        {
            throw new NotImplementedException();
        }

        public override IAxis Clone()
        {
            throw new NotImplementedException();
        }

        protected override List<Type> GetSupportedTypes()
        {
            return new List<Type> { typeof(ULongRange) };
        }

        public override IRange GetUndefinedRange()
        {
            return new ULongRange(ulong.MaxValue, ulong.MaxValue);
        }

        public override IRange GetDefaultNonZeroRange()
        {
            return new ULongRange(1, 2);
        }

        public override bool IsOfValidType(IRange range)
        {
            return range is ULongRange;
        }

        protected override void CalculateDelta()
        {
            throw new NotImplementedException();
        }

        protected override IDeltaCalculator GetDeltaCalculator()
        {
            return new LongDeltaCalculator();
        }
    }
}
